# Parameters for inhibitory_LIF_network.py

datapath = '../data/'
figurepath = '../figures/'

dt      = 0.1      # the resolution in ms
simtime = 100000.0 # Simulation time in ms
delay   = 1.0

epsilon = 0.1  # connection probability

#N         = 10000  # number of neurons
N_rec     = 1000 # number of neurons from which to record cross-correlations
N_rec_acf = 100 # number of neurons from which to record autocorrelations
N_rec_sd  = 0 # number of neurons from which to record spikes

# Parameters of the integrate-and-fire neuron
tauMem = 20.0
tauRef = 2.0      # ms
tauSyn = 2.0 # ms time constant postsynaptic current
CMem = 1.0 # pF (1 is very low, should it be 100?)
theta  = 15.0
V_r = 0.0

# mean and standard deviation of total (intrinsic + extrinsic) inputs to neurons
mu = 15.0   # mV
sigma = 10.0 # mV

# synaptic amplitude in reference network
# the simulation code treats a positive number here as inhibitory
J0 = 0.1 # mV 

# mean firing rate in reference network (10000-neuron network with J=0.1 mV)
nu0 = 8.32341840426# spikes/s 
sigma_a = 8.56 # determined from integral of autocorr
# effective time constant (ms)
tau_eff = 4.07   # determined from rate response

# neuron model
nrn_model = "iaf_psc_exp_ps"

# correlation detector
tbin = dt
tmax = 100.0



